GRDBLEND(1)

NAME
grdblend - Blend several partially over-lapping grids into one large grid

SYNOPSIS
grdblend blendfile -Ggrdfile -Ixinc[unit][=|+][/yinc[unit][=|+]] -Rwest/east/south/north[r] [ -Nnodata ] [ -Q ] [ -Zscale ] [ -V ] [ -W ] [ -fcolinfo ]

DESCRIPTION
grdblend reads a listing of gridded files and blend parameters and creates a binary grdfile by blending the other grids using cosine-taper weights. grdblend will report if some of the nodes are not filled in with data. Such unconstrained nodes are set to a value specified by the user [Default is NaN]. Nodes with more than one value will be set to the weighted average value.

blendfile
    ASCII file with one record per grid file to include in the blend. Each record must contain the gridfile name, the -R-setting for the interior region, and the relative weight wr, separated by spaces or tabs. In the combined weighting scheme, this grid will be given weight = zero outside its domain, weight = wr inside the interior region, and a 2-D cosine-tapered weight between those end-members in the boundary strip. However, if a negative wr is given then the sense of tapering is inverted (i.e., zero weight inside its domain). If the ASCII file is not given grdblend will read standard input.

-G  grdfile is the name of the binary output grdfile.

-I  x_inc [and optionally y_inc] is the grid spacing. Append m to indicate minutes or c to indicate seconds. If one of the units e, k, i, or n is appended instead, the increment will be assumed to be in meter, km, miles, or nautical miles, respectively, and will be converted to the equivalent degrees longitude at the middle latitude of the region (the conversion depends on ELLIPSOID). If /y_inc is given but set to 0 it will be reset equal to x_inc; otherwise it will be converted to degrees latitude. If = is appended then the corresponding max x (east) or y (north) may be slightly adjusted to fit exactly the given increment [by default the increment may be adjusted slightly to fit the given domain]. Finally, instead of giving an increment you may specify the number of nodes desired by appending + to the supplied increment; the increment is then recalculated from the number of nodes and the domain. The resulting increment value depends on whether you have selected a gridline-registered or pixel- registered grid; see Appendix B for details.

-R  xmin, xmax, ymin, and ymax specify the Region of interest. For geographic regions, these limits correspond to west, east, south, and north and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands -Rg -Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude). For calendar time coordinates you may either give relative time (relative to the selected TIME_EPOCH and in the selected TIME_UNIT; append t to -JX|x), or absolute time of the form [date]T[clock] (append T to -JX|x). At least one of date and clock must be present; the T is always required. The date string must be of the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or yyyy[-Www[-d]] (ISO week calendar), while the clock string must be of the form hh:mm:ss[.xxx]. The use of delimiters and their type and positions must be as indicated (however, input/output and plotting formats are flexible).

OPTIONS

-N  No data. Set nodes with no input grid to this value [Default is NaN].

-Q  Create a header-less gridfile suitable for use with grdraster. Requires that the output gridfile is a native format (i.e., not netCDF).

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-W  Do not blend, just output the weights used for each node. This option is valid when only one input grid is provided [Default makes the blend].

-Z  Scale output values by scale before writing to file. [1].

-f  Special formatting of input and output columns (time or geographical data). Specify i(nput) or o(utput) [Default is both input and output]. Give one or more columns (or column ranges) separated by commas. Append T (Absolute calendar time), t (time relative to chosen TIME_EPOCH), x (longitude), y (latitude), or f (floating point) to each column or column range item. Shorthand -f[i|o]g means -f[i|o]0x,1y (geographic coordinates).

EXAMPLES
To create a grdfile from the four gridded files piece_?.grd, make the blendfile like this

piece_1.grd    -R<subregion_1> 1
piece_2.grd    -R<subregion_2> 1
piece_3.grd    -R<subregion_3> 1
piece_4.grd    -R<subregion_4> 1

Then run

grdblend blend.job -Gblend.grd -R<full_region> -I<dx/dy> -V

SEE ALSO
GMT(1), grd2xyz(1), grdedit(1)